Update Unit: Rent Manager
https://api.propexo.com/v1/units/rentmanager/:unit_idUpdate a unit in Rent Manager. This endpoint supports updating basic unit information, addresses, market rent, floor plan details, marketing data, and building information. Some fields require specific embeds to be enabled in Rent Manager.
| Method |
|---|
| POST /Units |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the unit
Request
This endpoint expects an object.
The unit number
Notes associated with the unit
The square footage of the unit
The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.
The number of bedrooms associated with the unit
Whether the unit is vacant
The first address line associated with the unit
The city associated with the unit
The state associated with the unit
The zip code associated with the unit
The market rent amount in cents for the unit
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the unit
The unit number
Notes associated with the unit
The square footage of the unit
The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.
The number of bedrooms associated with the unit
Whether the unit is vacant
The first address line associated with the unit
The city associated with the unit
The state associated with the unit
The zip code associated with the unit
The market rent amount in cents for the unit
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/units/rentmanager/:unit_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"number": "string",
"notes": "string",
"square_feet": 0,
"bathrooms": 0,
"bedrooms": 0,
"is_vacant": true,
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"rent_amount_market_in_cents": 0
}'
{
"meta": {
"job_id": "string"
},
"result": {
"unit_id": "string",
"number": "string",
"notes": "string",
"square_feet": 0,
"bathrooms": 0,
"bedrooms": 0,
"is_vacant": true,
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"rent_amount_market_in_cents": 0
}
}